# User Guide: How to Use the Tool (Buttons & F-Keys)

**Welcome!**  
This tool helps you record what you do on your computer and turn it into a script that can be replayed. Here's how to use it, step by step, in a way that's easy for anyone—even a child!

## The Main Buttons

- **Start Recording**: Click to begin recording your actions.
- **Pause Recording**: Click to pause (take a break).
- **Stop Recording**: Click to finish your recording.
- **Preview**: Watch what you recorded.
- **Save**: Save your recording for later.
- **Load**: Open a saved recording.
- **Generate Script**: Turn your recording into a Python script.
- **Add Check (F7)**: Mark an important spot (like taking a screenshot to check later).
- **Add Comment (F6)**: Add a note to explain what you're doing.
- **Test Check Failure**: Try this to make sure the "check" feature works.

## Using the F-Keys (Function Keys)

- **F6 – Add Comment**
  - Press F6 to add a note.
  - A box pops up—type your comment and press OK.
  - Use this to explain what you're doing or why.

- **F7 – Add Check**
  - Press F7 to add a "check" (like a screenshot).
  - A box pops up—type a name for this check and press OK.
  - Use this to mark important steps you want to verify later.

- **F8 – Pause Recording**
  - Press F8 to pause.
  - Use this if you need a break.

- **F9 – Resume Recording**
  - Press F9 to continue after pausing.

- **F10 – Stop Recording**
  - Press F10 to finish your recording.

## Example: Making a Recording

1. Click **Start Recording**.
2. Do your actions (click, type, etc.).
3. Press **F6** to add a comment when you want to explain something.
4. Press **F7** to add a check when you want to mark something important.
5. Press **F8** to pause, **F9** to resume.
6. Press **F10** or click **Stop Recording** when done.
7. Click **Preview** to watch.
8. Click **Save** to keep your recording.
9. Click **Generate Script** to make a Python script you can run.

## Tips for Success

- Use comments (F6) at the start and end of important steps.
- Use checks (F7) when you need to make sure something looks right.
- Remember that F8 pauses and F9 continues your recording.
- Save your work often using the Save button.

## What Your Recorded Actions Look Like

In the large area on the right, you'll see a list of everything you've recorded:
- Mouse clicks
- Keyboard typing
- Comments you added with F6 (shown in green)
- Checks you added with F7

You can click on any of these items to select them, and then:
- Use the **Delete** button to remove them
- Use the **Move Up** or **Move Down** buttons to change their order
- Use the **View Screenshot** button to see pictures you captured

Happy recording! 